<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE fontconfig SYSTEM 'fonts.dtd'>
<fontconfig>
 <match target="scan">
  <test compare="contains" name="family">
   <string>Noto Sans CJK</string>
  </test>
  <edit mode="assign" name="charset">
   <minus>
    <name>charset</name>
    <charset>
     <range>
      <int>0x0000</int>
      <int>0x2E7F</int>
     </range>
    </charset>
   </minus>
  </edit>
  <edit mode="assign" name="charset">
   <minus>
    <name>charset</name>
    <charset>
     <range>
      <int>0xA000</int>
      <int>0xFFFF</int>
     </range>
    </charset>
   </minus>
  </edit>
 </match>
 <match target="pattern">
  <test qual="any" name="family">
   <string>serif</string>
  </test>
  <edit mode="prepend" binding="strong" name="family">
   <string>Noto Serif CJK SC Regular</string>
   <string>Noto Serif CJK TC Regular</string>
   <string>Noto Serif CJK JP Regular</string>
   <string>Noto Serif CJK KR Regular</string>
  </edit>
 </match>
 <match target="pattern">
  <test qual="any" name="family">
   <string>sans-serif</string>
  </test>
  <edit mode="prepend" binding="strong" name="family">
   <string>Noto Sans CJK SC Regular</string>
   <string>Noto Sans CJK TC Regular</string>
   <string>Noto Sans CJK JP Regular</string>
   <string>Noto Sans CJK KR Regular</string>
   <string>Asana Math</string>
  </edit>
 </match>
 <match target="pattern">
  <test qual="any" name="family">
   <string>monospace</string>
  </test>
  <edit mode="prepend" binding="strong" name="family">
   <string>Noto Sans Mono CJK SC Regular</string>
   <string>Noto Sans Mono CJK TC Regular</string>
   <string>Noto Sans Mono CJK JP Regular</string>
   <string>Noto Sans Mono CJK KR Regular</string>
  </edit>
 </match>
 <match>
  <test compare="contains" name="family">
   <string>Noto Sans CJK</string>
  </test>
  <edit mode="assign" name="autohint">
   <bool>false</bool>
  </edit>
  <edit mode="assign" name="hintstyle">
   <const>hintnone</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
</fontconfig>
